# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|

  config.vm.define :mintic do |mintic|
  
    mintic.ssh.username   = 'root'
    mintic.ssh.password   = 'root'
    mintic.vm.boot_timeout   = 9000
    mintic.vm.network :private_network, ip: "192.168.50.2"
    mintic.vm.provision "shell", path: "installVision.sh"
    mintic.vm.hostname = "minticDocker"
    mintic.vm.network :forwarded_port, guest: 80, host: 8080
    mintic.vm.network :forwarded_port, guest: 5000, host: 5000

    mintic.vm.provider "docker" do |docker|
        
        docker.create_args = ["--memory", "4G", "--cpus", "2"]
        docker.build_dir = "."
        docker.has_ssh = true
        docker.remains_running = true
    end
  

  end

end
